Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseBoxLeftPen

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBasePen
          net.sf.jasperreports.engine.base.JRBaseBoxPen
              net.sf.jasperreports.engine.base.JRBaseBoxLeftPen

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRBoxPen, JRChangeEventsSupport, JRPen

    public class JRBaseBoxLeftPen

extends JRBaseBoxPen

Version:
  $Id: JRBaseBoxLeftPen.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseBoxPen
`lineBox`

Fields inherited from class net.sf.jasperreports.engine.base.JRBasePen
`lineColor, lineStyleValue, lineWidth, penContainer, PROPERTY_LINE_COLOR, PROPERTY_LINE_STYLE, PROPERTY_LINE_WIDTH`

Fields inherited from interface net.sf.jasperreports.engine.JRPen
`LINE_STYLE_DASHED, LINE_STYLE_DOTTED, LINE_STYLE_DOUBLE, LINE_STYLE_SOLID, LINE_WIDTH_0, LINE_WIDTH_1`

Constructor Summary
`JRBaseBoxLeftPen(JRLineBox box)`

Method Summary
`JRPen` | `getPen(JRLineBox box)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseBoxPen
`clone, getBox, getLineColor, getLineStyleValue, getLineWidth`

Methods inherited from class net.sf.jasperreports.engine.base.JRBasePen
`clone, getEventSupport, getLineStyle, getOwnLineColor, getOwnLineStyle, getOwnLineStyleValue, getOwnLineWidth, getStyleContainer, getStyleNameReference, setLineColor, setLineStyle, setLineStyle, setLineStyle, setLineWidth, setLineWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRPen
`clone, getLineStyle, getOwnLineColor, getOwnLineStyle, getOwnLineStyleValue, getOwnLineWidth, getStyleContainer, setLineColor, setLineStyle, setLineStyle, setLineStyle, setLineWidth, setLineWidth`

Constructor Detail

### JRBaseBoxLeftPen

    public JRBaseBoxLeftPen(JRLineBox box)

Method Detail

### getPen

    public JRPen getPen(JRLineBox box)

  Specified by:
    `getPen` in interface `JRBoxPen`
  Overrides:
    `getPen` in class `JRBaseBoxPen`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com